@import "./../public/scss/variable.scss";

.login-main {
  background-color: $primaryColor;
  float: left;
  width: 100%;
  background-image: url("./../public/images/Login/bg-footer.svg");
  background-position: bottom;
  background-repeat: no-repeat;
  min-height: 100vh;
  background-size: contain;
  padding: 10px;

  .logo {
    float: right;
    margin: 20px;
  }
  form {
    max-width: 463px;
    height: 448px;
    border-radius: 13px;
    background: $primaryColor;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.41);
    margin: 0 auto;
    padding: 40px 30px;
    margin-top: 180px;

    h2 {
      font-family: $fontProxima;
      font-weight: normal;
      font-size: 34px;
      line-height: 13px;
      color: $whiteColor;
      margin-bottom: 50px;
      text-transform: uppercase;
    }
    .form_validation {
      font-size: 12px;
      color: #7392e6;
    }
    .form-group {
      margin-bottom: 45px;
    }
    .form-control {
      box-shadow: none;
    }
    .form-check {
      width: 100%;
      float: left;
    }
    input[type="text"],
    input[type="password"] {
      background: $transparent;
      border-radius: 0px;
      border: none;
      border-bottom: 0.5px solid $primaryBorder;
      color: $whiteColor;
    }
    ::-webkit-input-placeholder {
      /* Edge */
      color: $whiteColor;
    }
    :-ms-input-placeholder {
      /* Internet Explorer 10-11 */
      color: $whiteColor;
    }
    ::placeholder {
      color: $whiteColor;
    }

    .checkbox {
      width: 100%;
      margin: 15px auto;
      position: relative;
      display: block;

      input[type="checkbox"] {
        width: auto;
        opacity: 0.00000001;
        position: absolute;
        left: 0;
        margin-left: -20px;
      }
      label {
        position: relative;
        min-height: 28px;
        display: block;
        padding-left: 35px;
        margin-bottom: 0;
        font-weight: normal;
        cursor: pointer;
        vertical-align: sub;
        font-weight: 300;
        font-size: 14px;
        line-height: 22px;
        text-align: left;
        color: #fff;
        float: left;

        &:before {
          content: "";
          position: absolute;
          left: 0;
          top: 0;
          margin: 4px;
          width: 20px;
          height: 20px;
          transition: transform 0.28s ease;
          border-radius: 3px;
          border: 2px solid $checkboxBorder;
          background: $whiteColor;
        }
        &:after {
          content: "";
          display: block;
          width: 10px;
          height: 5px;
          border-bottom: 2px solid $checkboxBorder;
          border-left: 2px solid $checkboxBorder;
          -webkit-transform: rotate(-45deg) scale(0);
          -moz-transform: rotate(-45deg) scale(0);
          -ms-transform: rotate(-45deg) scale(0);
          transform: rotate(-45deg) scale(0);
          position: absolute;
          top: 11px;
          left: 9px;
        }

        span {
          top: 50%;
          -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
          line-height: 28px;
        }
      }
      input[type="checkbox"]:checked ~ label::before {
        color: $checkboxBorder;
      }
      input[type="checkbox"]:checked ~ label::after {
        -webkit-transform: rotate(-45deg) scale(1);
        -moz-transform: rotate(-45deg) scale(1);
        -ms-transform: rotate(-45deg) scale(1);
        transform: rotate(-45deg) scale(1);
      }
      input[type="checkbox"]:focus + label::before {
        outline: 0;
      }
    }
    .modal-dialog {
      width: 400px;
    }
    .forgot_pass {
      font-family: $fontProxima;
      font-weight: 300;
      font-size: 14px;
      line-height: 25px;
      text-align: right;
      color: $whiteColor;
      opacity: 0.45;
      float: right;
    }
    .btn-login {
      width: 100%;
      padding: 8px 5px;
      text-transform: uppercase;
      background: #164883;
      filter: drop-shadow(0px 3px 6px rgba(0, 0, 0, 0.16));
      font-family: $fontProxima;
      font-weight: normal;
      font-size: 13px;
      letter-spacing: 0.2em;
      text-align: center;
      color: $whiteColor;
      border: none;
      border-radius: 4px;
    }
  }
  .forgot_pwd {
    margin-bottom: 0px !important;
    .form-control {
      color: #164883 !important;
      border: 1px solid #cccccc;
      border-radius: 4px;
      height: 40px;
    }
    input[type="text"],
    input[type="password"] {
      background: $transparent;
      border-radius: 0px;
      border: 1px solid #164883;
      border-radius: 4px;
      color: #164883 !important;
    }
    ::-webkit-input-placeholder {
      /* Edge */
      color: #164883 !important;
    }
    :-ms-input-placeholder {
      /* Internet Explorer 10-11 */
      color: #164883 !important;
    }
    ::placeholder {
      color: #164883 !important;
    }
    .modal-title {
      h4 {
        font-size: 18px;
        width: 100%;
      }
    }
    .success_message {
      font-size: 12px !important;
      color: #7392e6 !important;

      width: 100%;
    }
  }
  .fowd_pwd {
    width: 100%;
    padding: 8px 5px;
    text-transform: uppercase;
    background: #164883 !important;
    font-family: "Proxima Nova";
    font-weight: normal;
    letter-spacing: 0.2em;
    text-align: center;
    color: #fff;
    border: none;
    border-radius: 4px;
    &:hover {
      color: #fff;
    }
  }
}
